// Code for the ATtiny45 to be the slave
// Put this on the AtTiny with the pullup resistors on the MOSI and SCK lines
// This talks to an UNO running code from UnoWireMaster project
// Reference: http://archive.fabacademy.org/2016/fablabsingapore/students/37/exercise13.html

#define I2C_SLAVE_ADDRESS 0x4 // Address of the slave 
#include <TinyWireS.h > 
int i=0;
void setup()
{
TinyWireS.begin(I2C_SLAVE_ADDRESS); // join i2c network
//TinyWireS.onReceive(receiveEvent); // not using this
TinyWireS.onRequest(requestEvent);
// Turn on LED when program starts
pinMode(3, OUTPUT);
digitalWrite(3, HIGH);
}
void loop()
{
// This needs to be here
TinyWireS_stop_check();
} // Gets called when the ATtiny receives an i2c request
void requestEvent()
{ TinyWireS.send(i);
i++;
}
